import { Router, json as jsonMiddleware } from "express";
import {
  startServer,
  stopServer,
  serverList,
  getServers,
} from "../k8s/server-control.js";
import createServer from "../k8s/server-create.js";
import deleteServer from "../k8s/server-delete.js";
const router = Router();
router.use(jsonMiddleware());
// Routes
router.post("/create", createServer);
router.delete("/delete", deleteServer);
router.post("/start", startServer);
router.post("/stop", stopServer);
router.get("/list", serverList);
router.get("/instances", getServers);
export default router;
