// Imports
import express from "express";

// Routes
import vitals from "../routes/vitals-route.js";
import systemRoute from "../routes/system-route.js";
import serverRoute from "../routes/server-route.js";

export default function buildRoutes(pg, skio) {
  const router = express.Router();
  // Special Routes
  router.use(vitals);
  router.all("/", (req, res) => res.redirect("/mcl"));

  // Middlewares

  // Routes
  router.use("/api/system", systemRoute);
  router.use("/api/server", serverRoute);
  // router.use("/mcl", react); // Static Build Route

  return router;
}
